Unikraft Cloud allows you to host your deployment at subdomains of the intended metro and/or use custom domains (e.g., example.com). Typically, Unikraft Cloud will automatically generate a TLS certificate for you based on Let's Encrypt™ via a DNS-01 challenge.
For subdomains, your deployment will use the wildcard TLS certificate of the respective Unikraft Cloud metro.
For wildcard domains you have to supply your own certificate. If you want to use Let's Encrypt™ you can use their DNS-based challenge and upload the resulting certificate to Unikraft Cloud.
List Certificates
List certificates.
query Parameters
uuidThe UUID of the resource.
nameThe name of the resource.
detailscountfromorderThe sort order used by list endpoints.
sortbyThe sort field used by list endpoints.
List Certificates › Request Body optional
uuidThe UUID of the resource.
nameThe name of the resource.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: uuid | |
| type = object · requires: name |
uuidThe UUID of the resource.
nameThe name of the resource.
List Certificates › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Update Certificates
Update certificates.
Update Certificates › Request Body
chainThe new certificate chain. This is the public chain of the certificate in PEM format. The chain should include the certificate and any intermediate certificates.
pkeyThe new private key. This is the private key of the certificate in PEM format. The private key must match the public key in the certificate chain.
uuidThe UUID of the resource.
nameThe name of the resource.
Update Certificates › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Create Certificate
Upload a new certificate.
Create Certificate › Request Body
chainThe certificate chain in PEM format. Required for user-uploaded certificates.
pkeyThe private key in PEM format. Required for user-uploaded certificates.
nameThe name of the resource. If not provided, a random name is generated. The name must be unique within the context of your account.
nodeThe name of the node to place the resource on. If not provided, the platform picks one. Only accepted on metros that span multiple nodes.
common_nameThe common name (CN) of the certificate.
This must be a fully-qualified domain name (FQDN). Exactly one of cn
or common_name must be specified.
cnThe common name (CN) of the certificate.
Deprecated: Use common_name instead.
Create Certificate › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Delete Certificates
Delete certificates by ID(s).
Delete Certificates › Request Body
uuidThe UUID of the resource.
nameThe name of the resource.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: uuid | |
| type = object · requires: name |
uuidThe UUID of the resource.
nameThe name of the resource.
Delete Certificates › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Get Certificate by UUID
Get a certificate by UUID.
path Parameters
uuidGet Certificate by UUID › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Update Certificate by UUID
Update a certificate by UUID.
path Parameters
uuidUpdate Certificate by UUID › Request Body
chainThe new certificate chain. This is the public chain of the certificate in PEM format. The chain should include the certificate and any intermediate certificates.
pkeyThe new private key. This is the private key of the certificate in PEM format. The private key must match the public key in the certificate chain.
Update Certificate by UUID › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.
Delete Certificate by UUID
Delete a certificate by UUID.
path Parameters
uuidDelete Certificate by UUID › Responses
The request has succeeded.
statusThe status of the response.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
The response data for this request.
A list of errors which may have occurred during the request.